summaryrefslogtreecommitdiff
path: root/bin/why_dont_you
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-08-23 21:47:11 +0200
committerErich Eckner <git@eckner.net>2017-08-23 21:47:11 +0200
commit1061c920833a562e02584aa70e7c889a734139d8 (patch)
tree013b6407718f469e98ffcb2f1d0970895a4c4af2 /bin/why_dont_you
parent7e69a472b3af0c66e85986f3d6a284a6e164b9fd (diff)
downloadbuilder-1061c920833a562e02584aa70e7c889a734139d8.tar.xz
silence even more shellcheck warnings
Diffstat (limited to 'bin/why_dont_you')
-rwxr-xr-xbin/why_dont_you4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/why_dont_you b/bin/why_dont_you
index a03f50f..593ad1b 100755
--- a/bin/why_dont_you
+++ b/bin/why_dont_you
@@ -60,8 +60,8 @@ case "${action}" in
for pkg in "$@"; do
- if ! find "${work_dir}/package-states" -maxdepth 1 -printf '%f\n' | \
- grep -q "^$(str_to_regex "${pkg}")\(\.[^.]\+\)\{3\}\.done\$"; then
+ if ! find "${work_dir}/package-states" -maxdepth 1 | \
+ grep -q "/$(str_to_regex "${pkg}")\(\.[^.]\+\)\{3\}\.done\$"; then
printf '"%s" is not in staging!\n' "${pkg}"
continue
fi